#include<stdio.h>
#include<math.h>
#define pi 3.14159

double getRadius (double h, double area);
double getVolume  (double h, double r);
double getSlantSide (double h, double r);

int main (){
	
	double area, volume, h, slant, r;
	printf("Enter height [cm] and surface area [cm2] of a cone: ");
	scanf(" %lf %lf", &h, &area);
	
	r = getRadius (h ,area);
	volume = getVolume (h, r);
	slant = getSlantSide (h, r);
	
	printf("\nVolume = %.2lf cubic cm", volume);
	printf("\nSlant side = %.2lf cm", slant);
	return 0;
}
//*************//
double getRadius (double h, double area){
	double r = area / sqrt(pi * (pi*h*h + 2.0*area));
	return r;
}
//*************//
double getVolume (double h, double r){
	double volume = pi*r*r*h/3.0;
	return volume;
}
	//******************//
	double getSlantSide (double h, double r){
		double slant = sqrt(pow(h, 2)+pow(r,2));
		return slant;
	}
	

