#include<stdio.h>
#include<math.h>
#define pi 3.14159

double deg_to_radians (double theta);
double length_third_side (double b, double c, double rad);
double calculateArea (double b, double c, double a);

int main (){
	
	double a, b, c, theta, rad, area;
	
	printf("Enter the length of side1 [cm]: ");
	scanf(" %lf", &b);
	printf("Enter the length of side2 [cm]: ");
	scanf(" %lf", &c);
	printf("Enter the length in degrees between side1 and side2: ");
	scanf(" %lf", &theta);
	
	rad = deg_to_radians (theta);
	a = length_third_side (b, c, rad);
	area = calculateArea (b, c, a);
	
	printf("\nThe area of the triangle = %.2lf square cm", area);
	
	return 0;
}
//******************//
double  deg_to_radians (double theta) {
	double rad = theta * pi / 180.0;
	return rad;
}
//************//
double length_third_side (double b, double c, double rad){
double a = sqrt((b*b) + (c*c) - (2.0 * b * c * cos(rad)));
return a;
}
//***************//
double calculateArea (double b, double c, double a){
	double s, area;
	s = (b + c + a) / 2.0;
	area = sqrt(s * (s - b) * (s - c) * (s - a));
	return area; 
}
